<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

/***************
 * Make plugin available in frontend
 */ 
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'T3S.' . $_EXTKEY,
	'Pi1',
	array(
		'Headerslider' => 'nivoslider, customslider',
	),
	// non-cacheable actions
	array(
		'Headerslider' => '',
	)
);

$TYPO3_CONF_VARS['FE']['addRootLineFields'].= ',tx_t3sheaderslider';
$TYPO3_CONF_VARS['FE']['pageOverlayFields'].= ',tx_t3sheaderslider';


/***************
 * Extension configuration
 */
if ( $_EXTCONF ) {
	$_EXTCONF = unserialize($_EXTCONF);
} else {
	# default setting
	$_EXTCONF = ['plugin' => 'nivoslider'];
}


 # Optional custom slider
if ($_EXTCONF['plugin'] == 'customslider') {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants('plugin.tx_t3sheaderslider.plugin = customslider');
} else {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants('plugin.tx_t3sheaderslider.plugin = nivoslider');
}
 # Language mode
if ($_EXTCONF['languageMode']) {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants('plugin.tx_t3sheaderslider.languageMode = 1');
} else {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants('plugin.tx_t3sheaderslider.languageMode = 0');
}
