<?php
defined('TYPO3_MODE') or die();
call_user_func(
	function ($extKey) {
		/***************
		 * Extension configuration
		 */
		$_EXTCONF = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['t3s_headerslider']);

		/***************
		 * New field in table:pages
		 */
		if ($_EXTCONF['plugin'] == 'customslider') {

			$tempPagesColumns = [
				'tx_t3sheaderslider' => [
					'exclude' => 1,
					'label' => 'LLL:EXT:t3s_headerslider/Resources/Private/Language/locallang_db.xlf:pages.tx_t3sheaderslider',
						'displayCond' => [
							'OR' => [
								'FIELD:doktype:=:1',
								'FIELD:doktype:=:4',
							],
						],
					'config' => [
						'type' => 'flex',
						'ds' => [
							'default' => 'FILE:EXT:t3s_headerslider/Configuration/FlexForms/Customslider.xml',
						]
					]
				]
			];

		} else {

			$tempPagesColumns = [
				'tx_t3sheaderslider' => [
					'exclude' => 1,
					'label' => 'LLL:EXT:t3s_headerslider/Resources/Private/Language/locallang_db.xlf:pages.tx_t3sheaderslider',
						'displayCond' => [
							'OR' => [
								'FIELD:doktype:=:1',
								'FIELD:doktype:=:4',
							],
						],
					'config' => [
						'type' => 'flex',
						'ds' => [
							'default' => 'FILE:EXT:t3s_headerslider/Configuration/FlexForms/Nivoslider.xml',
						]
					]
				]
			];
		}

		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages_language_overlay',$tempPagesColumns);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('pages_language_overlay','--div--;Headerslider,tx_t3sheaderslider');

	}, 't3sbootstrap'
);
