<?php

/***************************************************************
 * Extension Manager/Repository config file for ext "t3s_headerslider".
 *
 *
 * Manual updates:
 * Only the data in the array - everything else is removed by next
 * writing. "version" and "dependencies" must not be touched!
 ***************************************************************/

$EM_CONF[$_EXTKEY] = [
	'title' => 'Headerslider',
	'description' => 'Insert Nivo-Slider or a custom slider into your template. Info and Demo: www.t3sbootstrap.de/headerslider/',
	'category' => 'plugin',
	'version' => '5.0.3',
	'state' => 'stable',
	'uploadfolder' => false,
	'createDirs' => '',
	'clearcacheonload' => false,
	'author' => 'Helmut Hackbarth',
	'author_email' => 'info@t3solution.de',
	'author_company' => NULL,
	'constraints' => [
		'depends' => [
			'typo3' => '7.6.0-8.9.99',
		],
		'conflicts' => [],
		'suggests' => [],
	],
	'autoload' => [
		'psr-4' => [
			'T3S\\T3sHeaderslider\\'=> 'Classes'
		]
	]
];
